#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_ChatCFGData
{
	//声音ID
	int mID;
	//声音名字
	std::string mChatInfo;
	//持续时间
	float mDuration;
	//声音ID
	int mSoundID;
};

class Fish_ChatCFG
{
public:
private:
	static std::auto_ptr<Fish_ChatCFG> msSingleton;
public:
	int GetCount();
	const Fish_ChatCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_ChatCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_ChatCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_ChatCFGData> mMapData;
};
